# Test Player Scripts build in Editor tests
test:unity:webgl:compile:
    extends:
        - .unity:test
        - .editor:test
    script:
        - UNITY_LOG_PATH="${CI_PROJECT_DIR}/logs/unity_test_compile_webgl.log"
        - "${SHARED_CI}/unity3d/execute-unity.sh Unity \"-batchmode -projectPath Unity -buildTarget WebGL 
-logfile ${UNITY_LOG_PATH} 
-username ${UNITY_ACCOUNT_EMAIL} 
-password ${UNITY_ACCOUNT_PASS} 
-cacheServerEnableDownload false 
-executeMethod RobinBird.Utilities.Unity.Editor.Build.BuildHelper.WebGLCompilePlayerScripts\""
        - UNITY_TEST_RUNNER_RESULT=$?
        - echo "Unity exit code is ${UNITY_TEST_RUNNER_RESULT}"
        - exit ${UNITY_TEST_RUNNER_RESULT}
    artifacts:
        paths:
            - ${CI_PROJECT_DIR}/logs
        expire_in: 1 days
        when: always